post
https://sandbox.saner.secpod.com/AncorWebService/perform
List detected vulnerabilities for every device in an account, or for named hosts.
This method returns all the vulnerabilities that exist on a device. You can get the vulnerabilities for a single device or all devices. If you don’t specify the hostname, vulnerabilities present on all the devices in the Account gets listed. To fetch vulnerabilities for all network devices, set the deviceType key to "network" and omit the hostnames key. Similarly, to fetch vulnerabilities for all endpoint devices, set the deviceType key to "end-point" and omit the hostnames key.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountname | Account name for which vulnerabilities are to be fetched | Yes | string |
| hostnames | List of device hostnames to fetch vulnerabilities (optional for all) | No | array |
| deviceType | Device type filter (end-point or network) | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Device.getVulnerabilities(
accountname="DemoAccount",
hostnames=["host1","host2"]
)
print(response)
client.close()Requires Python 3.9 or later.